﻿Public Class Testdata
    Private Table_ As DataTable

    Public ReadOnly Property Table As DataTable
        Get
            Return Me.Table_
        End Get
    End Property

    Sub New(table As DataTable, Optional ByVal rowCount As Integer = 3)
        Me.Table_ = table

        Dim userName = "Sample man"
        Dim len = userName.Length - 1
        Dim j = -1
        Dim initial As String = ""
        For i = 1 To rowCount
            Dim row As DataRow = Me.Table_.NewRow

            If table.Columns.Contains("EDITTYPE") Then row("EDITTYPE") = "0"
            If table.Columns.Contains("EDITA") Then row("EDITA") = Date.Now

            j += 1
            If j >= len Then j = 0
            initial = userName(j).ToString().ToUpper().Replace(" ", "X")

            If table.Columns.Contains("EDITBY") Then row("EDITBY") = String.Format("{0}.{1}", initial, userName)
            If table.Columns.Contains("EDITLOCATION") Then row("EDITLOCATION") = My.Computer.Name
            If table.Columns.Contains("ColumnA") Then row("ColumnA") = i * i * i
            If table.Columns.Contains("ColumnB") Then row("ColumnB") = True ' (i Mod 0)
            Me.Table_.Rows.Add(row)
        Next
    End Sub
End Class